Package skyview.geometry

# Class Converter

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Converter

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `WCS`

public class Converter extends Transformer implements Component
A converter applies a succession of transformations on the data

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Converter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Transformer trans)`
Add a component to the transformation
`void`
`check()`
See if there are any optimizations we can do.
`void`
`debug(boolean flag)`
`String`
`getDescription()`
Get the description of this component.
`int`
`getInputDimension()`
Get the dimensionality of the input vectors.
`String`
`getName()`
Get the name of this component.
`int`
`getOutputDimension()`
Get the dimensionality of the output vectors.
`Converter`
`inverse()`
Return the inverse of this series of transformations.
`boolean`
`isInverse(Transformer t)`
Is this the inverse of another transformation.
`void`
`printElements()`
`void`
`transform(double[] in, double[] out)`
Transform a vector

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Converter

public Converter()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

Specified by:
  `getDescription` in interface `Component`

### printElements

public void printElements()

### debug

public void debug(boolean flag)

### getInputDimension

public int getInputDimension()
Get the dimensionality of the input vectors.

Specified by:
  `getInputDimension` in class `Transformer`

### getOutputDimension

public int getOutputDimension()
Get the dimensionality of the output vectors.

Specified by:
  `getOutputDimension` in class `Transformer`

### add

public void add(Transformer trans) throws TransformationException
Add a component to the transformation

Throws:
  `TransformationException`

### transform

public void transform(double[] in, double[] out)
Transform a vector

Specified by:
  `transform` in class `Transformer`
Parameters:
  `in` - The input vector.
  `out` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### check

public void check()
See if there are any optimizations we can do.

### inverse

public Converter inverse()
Return the inverse of this series of transformations.

Specified by:
  `inverse` in class `Transformer`

### isInverse

public boolean isInverse(Transformer t)
Is this the inverse of another transformation.

Specified by:
  `isInverse` in class `Transformer`